Bug 962517 - [abrt] nautilus-3.8.1-1.fc19: nautilus_window_get_slots: Process /usr/bin/nautilus was killed by signal 6 (SIGABRT)
[abrt] nautilus-3.8.1-1.fc19: nautilus_window_get_slots: Process /usr/bin/nau...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:278dbc97e2cb49994052fc26cd8...
:
: 964580 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 14:15 EDT by Karl-Heinz Hoetzel
Modified: 2015-02-18 06:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:14:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.74 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: core_backtrace (3.50 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: dso_list (16.58 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: environ (1.53 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: maps (78.34 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: open_fds (3.30 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: proc_pid_status (920 bytes, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details
File: var_log_messages (4.76 KB, text/plain)
2013-05-13 14:15 EDT, Karl-Heinz Hoetzel
no flags Details

  None (edit)
Description Karl-Heinz Hoetzel 2013-05-13 14:15:25 EDT
Version-Release number of selected component:
nautilus-3.8.1-1.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        nautilus --new-window
crash_function: nautilus_window_get_slots
executable:     /usr/bin/nautilus
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 nautilus_window_get_slots at nautilus-window.c:1754
 #5 update_dbus_opened_locations at nautilus-application.c:1682
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:522
 #8 g_cclosure_marshal_generic at gclosure.c:1454
 #12 g_signal_emit_by_name at gsignal.c:3424
 #13 nautilus_window_slot_emit_location_change at nautilus-window-slot.c:2062
 #14 nautilus_window_slot_set_location at nautilus-window-slot.c:992
 #15 nautilus_window_slot_update_for_new_location at nautilus-window-slot.c:2150
 #16 location_has_really_changed at nautilus-window-slot.c:2389
Comment 1 Karl-Heinz Hoetzel 2013-05-13 14:15:28 EDT
Created attachment 747349 [details]
File: backtrace
Comment 2 Karl-Heinz Hoetzel 2013-05-13 14:15:30 EDT
Created attachment 747350 [details]
File: cgroup
Comment 3 Karl-Heinz Hoetzel 2013-05-13 14:15:35 EDT
Created attachment 747351 [details]
File: core_backtrace
Comment 4 Karl-Heinz Hoetzel 2013-05-13 14:15:38 EDT
Created attachment 747352 [details]
File: dso_list
Comment 5 Karl-Heinz Hoetzel 2013-05-13 14:15:40 EDT
Created attachment 747353 [details]
File: environ
Comment 6 Karl-Heinz Hoetzel 2013-05-13 14:15:42 EDT
Created attachment 747354 [details]
File: limits
Comment 7 Karl-Heinz Hoetzel 2013-05-13 14:15:44 EDT
Created attachment 747355 [details]
File: maps
Comment 8 Karl-Heinz Hoetzel 2013-05-13 14:15:47 EDT
Created attachment 747356 [details]
File: open_fds
Comment 9 Karl-Heinz Hoetzel 2013-05-13 14:15:49 EDT
Created attachment 747357 [details]
File: proc_pid_status
Comment 10 Karl-Heinz Hoetzel 2013-05-13 14:15:51 EDT
Created attachment 747358 [details]
File: var_log_messages
Comment 11 Matthias Clasen 2013-05-30 22:38:26 EDT
*** Bug 964580 has been marked as a duplicate of this bug. ***
Comment 12 nidejo 2013-07-29 00:48:54 EDT
does not allow root access to nautilus

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        nautilus
crash_function: nautilus_window_get_slots
executable:     /usr/bin/nautilus
kernel:         3.9.9-302.fc19.i686.PAE
package:        nautilus-3.8.2-1.fc19
reason:         Process /usr/bin/nautilus was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            0
Comment 13 theo 2013-09-30 00:52:20 EDT
su
sudo nautilus

(nautilus:6364): Gtk-WARNING **: Failed to register client: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

(nautilus:6364): GLib-GObject-WARNING **: gsignal.c:2475: signal `slot-added' is invalid for instance `0x854d018' of type `GtkMessageDialog'

(nautilus:6364): GLib-GObject-WARNING **: gsignal.c:2475: signal `slot-removed' is invalid for instance `0x854d018' of type `GtkMessageDialog'

(nautilus:6364): GLib-GObject-WARNING **: invalid cast from `GtkMessageDialog' to `NautilusWindow'
**
ERROR:nautilus-window.c:1754:nautilus_window_get_slots: assertion failed: (NAUTILUS_IS_WINDOW (window))

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nautilus
crash_function: nautilus_window_get_slots
executable:     /usr/bin/nautilus
kernel:         3.11.2-201.fc19.i686
package:        nautilus-3.8.2-1.fc19
reason:         Process /usr/bin/nautilus was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 7cw5y4hf 2013-10-14 01:10:32 EDT
bookmark edit

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        nautilus --no-desktop /home/uno/Dropbox
crash_function: nautilus_window_get_slots
executable:     /usr/bin/nautilus
kernel:         3.11.3-201.fc19.x86_64
package:        nautilus-3.8.2-1.fc19
reason:         Process /usr/bin/nautilus was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2015-01-09 13:06:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 10:14:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.